import { FluidType } from 'enum/fluid.enum'
import { mount } from 'enzyme'
import React from 'react'
import StyledCard from './StyledCard'

describe('StyledCard component test', () => {
  it('should render correctly Electricity StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.ELECTRICITY} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly Water StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.WATER} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })

  it('should render correctly Gas StyledCard', () => {
    const wrapper = mount(<StyledCard fluidType={FluidType.GAS} />)
    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
