import LegalNoticeContent from 'components/Options/LegalNotice/LegalNoticeContent'
import { shallow } from 'enzyme'
import React from 'react'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('LegalNoticeContent component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<LegalNoticeContent />).getElement()
    expect(component).toMatchSnapshot()
  })
})
