import { IuseI18n, useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import './halfHourNoData.scss'

const HalfHourNoData = () => {
  const { t }: IuseI18n = useI18n()
  return (
    <div className="halfHour">
      <h2>{t('timestep.half_an_hour.gather_data_title')}</h2>
      <p>{t('timestep.half_an_hour.gather_data_subtitle')}</p>
    </div>
  )
}

export default HalfHourNoData
