import { TimeStep } from 'enum/timeStep.enum'
import { DateTime } from 'luxon'
import { Datachart } from 'models'

export interface ChartState {
  currentDatachart: Datachart
  currentDatachartIndex: number
  currentIndex: number
  currentTimeStep: TimeStep
  loading: boolean
  selectedDate: DateTime
  showCompare: boolean
  showOfflineData: boolean
}
